### Method

# Vips Region copy

#### Declaration [src]

    void
    vips_region_copy (
      VipsRegion* reg,
      VipsRegion* dest,
      const VipsRect* r,
      int x,
      int y
    )

#### Description [src]

Copy from one region to another. Copy area `r` from inside `reg` to `dest`, positioning the area of pixels at `x`, `y`. The two regions must have pixels which are the same size.

See also

`vips_region_paint()`.

#### Parameters

`dest`

  Type: `VipsRegion`

  Destination region.

  The argument will be modified by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`r`

  Type: `VipsRect`

  `VipsRect` of pixels you need to copy.

  The data is owned by the caller of the method.

`x`

  Type: `int`

  Position of `r` in `dest`.

`y`

  Type: `int`

  Position of `r` in `dest`.